Subject: [Geopriv] I-D Action: draft-ietf-geopriv-flow-identity-01.txt

From: [email-masked]
Date: Wed, 13 Feb 2013 03:04:54 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Geographic Location/Privacy Working Group of the IETF.

	Title           : Flow Identity Extension for HELD
	Author(s)       : Ray Bellis
	Filename        : draft-ietf-geopriv-flow-identity-01.txt
	Pages           : 14
	Date            : 2013-02-13

Abstract:
   RFC 6155 specifies an extension for the HTTP-Enabled Location
   Delivery (HELD) Protocol allowing the use of an IP address and port
   number to request a Device location based on an individual packet
   flow.

   However, certain kinds of NAT require that identifiers for both ends
   of the packet flow must be specified in order to unambiguously
   satisfy the location request.

   This document specifies an XML Schema and URN Sub-Namespace for a
   Flow Identity Extension for HELD to support this requirement.

   This document updates RFC 6155 by deprecating the port number
   elements specified therein.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-geopriv-flow-identity

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-geopriv-flow-identity-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-geopriv-flow-identity-01

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Ray Bellis <[email-masked]>
Date: Wed, 13 Feb 2013 11:35:45 +0000

> 	Filename        : draft-ietf-geopriv-flow-identity-01.txt

I've submitted this version in response to AD and proto writeup comments, mostly around how it updates RFC 6155.

The abstract has been rewritten somewhat to make it clearer, and to explicitly mention that this document deprecates the port elements from RFC 6155.

What was the final paragraph of §3 has been moved into the Introduction and rewritten thus:

 Since the Location Recipient may not know in advance whether the
 Target is behind a NAT device the port number elements from Section
 3.3 of [RFC6155] are deprecated and MUST NOT be used.  This document
 provides a more generally applicable means of identifying a Device
 based on the parameters of a network flow of which it is an endpoint.

Alissa had proposed the following text in her proto writeup:

"It updates RFC 6155 to include this extension ..."

I've explicitly *not* included such text because technically this document is a *new* extension, not an addition to the RFC 6155 schema.

Ray

---

From: Robert Sparks <[email-masked]>
Date: Wed, 13 Feb 2013 09:31:05 -0600

I'll request IETF LC on this version.

Everyone please note carefully the strengthening of the deprecation in 
this change. If you are not ok with the SHOULD NOT -> MUST NOT change, 
speak up during IETF LC.

RjS

On 2/13/13 5:35 AM, Ray Bellis wrote:
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/geopriv

---

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 14 Feb 2013 10:21:14 +0800

I am fine with this change.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Robert Sparks
Sent: Thursday, 14 February 2013 2:31 AM
To: Ray Bellis
Cc: [email-masked] WG
Subject: Re: [Geopriv] I-D Action: draft-ietf-geopriv-flow-identity-01.txt

Everyone please note carefully the strengthening of the deprecation in this change. If you are not ok with the SHOULD NOT -> MUST NOT change, speak up during IETF LC.

RjS